import React from 'react';
import type { AnyObj } from '../types';
export type PropsWithModalEnhanced<T extends AnyObj = {}> = {
    enhancedAction?: ModalEnhancedAction;
} & T;
type TriggerType = React.ReactNode;
type ContentType = React.ReactNode | (<P extends AnyObj = {}>(props: PropsWithModalEnhanced<P>) => React.ReactNode);
export interface UseModalEnhancedProps {
    defaultOpen?: boolean;
    onClick?: (e: React.MouseEvent<HTMLElement>, action: ModalEnhancedAction) => void;
    actionRef?: React.RefObject<ModalEnhancedAction>;
    content?: ContentType;
    trigger?: TriggerType;
    children?: ContentType | TriggerType;
}
export interface ModalEnhancedAction {
    close: () => void;
    open: () => void;
}
declare function useModalEnhanced(props?: UseModalEnhancedProps): readonly [boolean, {
    open: () => void;
    close: () => void;
}, {
    trigger: React.ReactNode;
    content: React.ReactNode;
}, Omit<UseModalEnhancedProps, "children" | "trigger" | "content" | "onClick" | "actionRef" | "defaultOpen">];
export default useModalEnhanced;
